# $Revision: 1.4 $, $Date: 2010/07/08 08:10:06 $
%bcond_without	tests
Summary:	EZT is a very clean and simple module for templating in Python
Name:		python-ezt
# 0.svnrevision
Version:	0.22
Release:	3
License:	LGPL
Group:		Libraries/Python
# http://ezt.googlecode.com/svn/trunk/ ezt
Source0:	ezt-20080701.tar.gz
# Source0-md5:	82b3eb1fefd547e543d0c1ee5be051b9
URL:		http://code.google.com/p/ezt/
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EZT is a very clean and simple module for templating in Python.

%prep
%setup -q -n ezt

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install ezt.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT
%py_ocomp $RPM_BUILD_ROOT
%py_postclean

%{?with_tests:cd tests; %{__python} ezt_test.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ezt.spec,v $
Revision 1.4  2010/07/08 08:10:06  arekm
- release 3

Revision 1.3  2008/10/03 17:49:32  arekm
- release 2

Revision 1.2  2008/07/01 20:34:22  arekm
- no need for subdir

Revision 1.1  2008/07/01 20:31:22  arekm
- simple templating engine

